RIO_SET_DEVICE_ID(9)

NAME
rio_set_device_id - Set the base/extended device id for a device

SYNOPSIS

void rio_set_device_id (struct rio_mport * port, u16 destid, u8 hopcount, u16 did);

ARGUMENTS

port
    RIO master port

destid
    Destination ID of device

hopcount
    Hopcount to device

did Device ID value to be written

DESCRIPTION

Writes the base/extended device id from a device.

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.